Package net.snowflake.client.core.json

## Class Converters

- java.lang.Object
- - net.snowflake.client.core.json.Converters

    public class Converters
    extends Object

### Constructor Summary

Constructors

`Converters​(TimeZone sessionTimeZone, SFBaseSession session, long resultVersion, boolean honorClientTZForTimestampNTZ, boolean treatNTZAsUTC, boolean useSessionTimezone, boolean formatDateWithTimeZone, net.snowflake.common.core.SFBinaryFormat binaryFormatter, net.snowflake.common.core.SnowflakeDateTimeFormat dateFormatter, net.snowflake.common.core.SnowflakeDateTimeFormat timeFormatter, net.snowflake.common.core.SnowflakeDateTimeFormat timestampNTZFormatter, net.snowflake.common.core.SnowflakeDateTimeFormat timestampLTZFormatter, net.snowflake.common.core.SnowflakeDateTimeFormat timestampTZFormatter)`

### Method Summary

All Methods Instance Methods Concrete Methods
`BooleanConverter` `getBooleanConverter()`
`BytesConverter` `getBytesConverter()`
`DateTimeConverter` `getDateTimeConverter()`
`NumberConverter` `getNumberConverter()`
`StringConverter` `getStringConverter()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Converters

    public Converters​(TimeZone sessionTimeZone,
                      SFBaseSession session,
                      long resultVersion,
                      boolean honorClientTZForTimestampNTZ,
                      boolean treatNTZAsUTC,
                      boolean useSessionTimezone,
                      boolean formatDateWithTimeZone,
                      net.snowflake.common.core.SFBinaryFormat binaryFormatter,
                      net.snowflake.common.core.SnowflakeDateTimeFormat dateFormatter,
                      net.snowflake.common.core.SnowflakeDateTimeFormat timeFormatter,
                      net.snowflake.common.core.SnowflakeDateTimeFormat timestampNTZFormatter,
                      net.snowflake.common.core.SnowflakeDateTimeFormat timestampLTZFormatter,
                      net.snowflake.common.core.SnowflakeDateTimeFormat timestampTZFormatter)

### Method Detail

#### getBooleanConverter

    public BooleanConverter getBooleanConverter()

#### getNumberConverter

    public NumberConverter getNumberConverter()

#### getDateTimeConverter

    public DateTimeConverter getDateTimeConverter()

#### getBytesConverter

    public BytesConverter getBytesConverter()

#### getStringConverter

    public StringConverter getStringConverter()